Loading...
Searching...
No Matches
instr Struct Reference

This struct is filled out by otran() at orch parse time. More...

`#include <csoundCore.h>`

## Data Fields

struct op * | nxtop
TEXT | t
int | pmax
int | vmax
int | pextrab
CS_VAR_POOL * | varPool
int16 | muted
int32 | opdstot
MYFLT * | psetdata
struct insds * | instance
struct insds * | lst_instance
struct insds * | act_instance
struct instr * | nxtinstxt
int | active
int | pending_release
int | maxalloc
MYFLT | cpuload
struct opcodinfo * | opcode_info
char * | insname
int | instcnt
int | isNew
int | nocheckpcnt

## Detailed Description

This struct is filled out by otran() at orch parse time.

It is used as a template for instrument events.

## Field Documentation

## act_instance

struct insds* instr::act_instance

## active

int instr::active

## cpuload

MYFLT instr::cpuload

## insname

char* instr::insname

## instance

struct insds* instr::instance

## instcnt

int instr::instcnt

## isNew

int instr::isNew

## lst_instance

struct insds* instr::lst_instance

## maxalloc

int instr::maxalloc

## muted

int16 instr::muted

## nocheckpcnt

int instr::nocheckpcnt

## nxtinstxt

struct instr* instr::nxtinstxt

## nxtop

struct op* instr::nxtop

## opcode_info

struct opcodinfo* instr::opcode_info

## opdstot

int32 instr::opdstot

## pending_release

int instr::pending_release

## pextrab

int instr::pextrab

## pmax

int instr::pmax

## psetdata

MYFLT* instr::psetdata

## t

TEXT instr::t

## varPool

CS_VAR_POOL* instr::varPool

## vmax

int instr::vmax